"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServeCommand = void 0;
const dev_server_1 = require("@rspack/dev-server");
const options_1 = require("../utils/options");
const core_1 = require("@rspack/core");
class ServeCommand {
    async apply(cli) {
        cli.program.command(["serve [entry..]", "server", "s"], "run the rspack dev server.", options_1.commonOptions, async (options) => {
            const config = await cli.loadConfig(options);
            const compiler = (0, core_1.createCompiler)(config);
            const server = new dev_server_1.RspackDevServer(compiler);
            await server.start();
        });
    }
}
exports.ServeCommand = ServeCommand;
//# sourceMappingURL=serve.js.map